Last Comment Bug 439269 - AMO theme has unnecessary scrollbar at the bottom - CSS issue
: AMO theme has unnecessary scrollbar at the bottom - CSS issue
Status: RESOLVED FIXED
: l12y, polish, rtl
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Localization (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Ryan Doherty (:rdoherty)
:
Mentors:
https://addons.mozilla.org/he/firefox...
Depends on:
Blocks: 375055
  Show dependency treegraph
 
Reported: 2008-06-14 15:10 PDT by Tomer Cohen :tomer
Modified: 2016-02-04 14:50 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix for rtl languages (936 bytes, patch)
2009-01-22 17:28 PST, Ryan Doherty (:rdoherty)
wclouser: review+
Details | Diff | Review

Description Tomer Cohen :tomer 2008-06-14 15:10:33 PDT
When viewing the current AMO theme on RTL locale (Hebrew, as I don't see there Arabic version yet), at the bottom of the browser window there is a scrollbar (atleast on 1024x768 resolution) and some extra free space outside of the default viewport to the left. 

steps to reproduce:
Enter https://addons.mozilla.org/he/firefox

expected result: 
no scrollbar at all.
Comment 1 Wil Clouser [:clouserw] 2008-11-12 10:14:52 PST
This sort of appears on ltr languages too when the window is small enough but it's not as obvious.  rdoherty is going to rock it's face. plzkthx
Comment 2 Wil Clouser [:clouserw] 2009-01-22 15:10:12 PST
I think this got worse.  The "extra free space" has become several thousand pixels for me.
Comment 3 Ryan Doherty (:rdoherty) 2009-01-22 16:29:33 PST
Turning javascript off seems to fix the issue, so we're getting somewhere.
Comment 4 Fred Wenzel [:wenzel] 2009-01-22 16:44:18 PST
(In reply to comment #3)
> Turning javascript off seems to fix the issue, so we're getting somewhere.

Specifically, the category list seems at fault: Opening it, with JS enabled, makes the problem go away -- when closing it, it reappears. Looks to me like something is pushed way off to the left via JavaScript, and in an rtl environment this would need to be to the right in order to achieve the same effect while not screwing up the page.
Comment 5 Fred Wenzel [:wenzel] 2009-01-22 16:45:02 PST
(In reply to comment #4)
> Looks to me like something is pushed way off to the left via JavaScript...

I meant via CSS.
Comment 6 Ryan Doherty (:rdoherty) 2009-01-22 17:18:55 PST
Yeah, I figured it out:

#categories.collapsed #cat-list {
left:-999em;
position:absolute;
top:-999em;
}

I should have a fix soon.
Comment 7 Ryan Doherty (:rdoherty) 2009-01-22 17:28:37 PST
Created attachment 358307 [details] [diff] [review]
Fix for rtl languages

Here's the fix.
Comment 8 Wil Clouser [:clouserw] 2009-01-22 17:44:17 PST
Comment on attachment 358307 [details] [diff] [review]
Fix for rtl languages

nice work
Comment 9 Ryan Doherty (:rdoherty) 2009-01-23 09:38:55 PST
r21698
Comment 10 Cesar Oliveira [:cesar] 2009-04-06 16:12:20 PDT
I don't think we/you care, but fyi, I was able to reproduce this on IE 8 in compatibility mode.

Note You need to log in before you can comment on or make changes to this bug.